diff -Nurd -x'*~' icewm-1.3.6.orig/Makefile.in icewm-1.3.6/Makefile.in
--- icewm-1.3.6.orig/Makefile.in	2010-01-12 13:17:13.000000000 -0500
+++ icewm-1.3.6/Makefile.in	2010-09-16 01:09:09.000000000 -0400
@@ -79,19 +79,19 @@
 install-base: base
 	@echo ------------------------------------------
 	@echo "Installing binaries in $(DESTDIR)$(BINDIR)"
-	@$(INSTALLDIR) "$(DESTDIR)$(BINDIR)"
-	@for bin in $(BINFILES); do \
+	$(INSTALLDIR) "$(DESTDIR)$(BINDIR)"
+	for bin in $(BINFILES); do \
              $(INSTALLBIN) "$${bin}" "$(DESTDIR)$(BINDIR)"; \
          done
 	
 	@echo "Installing presets and icons in $(DESTDIR)$(LIBDIR)"
-	@$(INSTALLDIR) "$(DESTDIR)$(LIBDIR)"
+	$(INSTALLDIR) "$(DESTDIR)$(LIBDIR)"
 	#-@$(INSTALLDIR) "$(DESTDIR)$(CFGDIR)"
-	@for lib in $(LIBFILES); do \
+	for lib in $(LIBFILES); do \
              $(INSTALLLIB) "$${lib}" "$(DESTDIR)$(LIBDIR)"; \
          done
 
-	@for xpmdir in $(XPMDIRS); do \
+	for xpmdir in $(XPMDIRS); do \
 	     if test -d "lib/$${xpmdir}"; then \
 		$(INSTALLDIR) "$(DESTDIR)$(LIBDIR)/$${xpmdir}"; \
 		for pixmap in "lib/$${xpmdir}/"*.xpm; do \
@@ -101,7 +101,7 @@
         done
 	
 	@echo ------------------------------------------
-	@for theme in $(THEMES); do \
+	for theme in $(THEMES); do \
 	     SRCDIR="$(top_srcdir)" \
 	     DESTDIR="$(DESTDIR)" \
 	     LIBDIR="$(LIBDIR)" \
@@ -116,29 +116,29 @@
 
 install-docs: docs
 	@echo ------------------------------------------
-	@rm -fr "$(DESTDIR)$(DOCDIR)/icewm-$(VERSION)"
-	@$(INSTALLDIR) "$(DESTDIR)$(DOCDIR)/icewm-$(VERSION)"
+	rm -fr "$(DESTDIR)$(DOCDIR)/icewm-$(VERSION)"
+	$(INSTALLDIR) "$(DESTDIR)$(DOCDIR)/icewm-$(VERSION)"
 	@echo "Installing documentation in $(DESTDIR)$(DOCDIR)"
-	@$(INSTALLLIB) $(DOCFILES) "$(DESTDIR)$(DOCDIR)/icewm-$(VERSION)"
-	@$(INSTALLLIB) "$(top_srcdir)/doc/"*.sgml "$(DESTDIR)$(DOCDIR)/icewm-$(VERSION)"
-	@$(INSTALLLIB) "$(top_srcdir)/doc/"*.html "$(DESTDIR)$(DOCDIR)/icewm-$(VERSION)"
+	$(INSTALLLIB) $(DOCFILES) "$(DESTDIR)$(DOCDIR)/icewm-$(VERSION)"
+	$(INSTALLLIB) "$(top_srcdir)/doc/"*.sgml "$(DESTDIR)$(DOCDIR)/icewm-$(VERSION)"
+	$(INSTALLLIB) "$(top_srcdir)/doc/"*.html "$(DESTDIR)$(DOCDIR)/icewm-$(VERSION)"
 	@echo ------------------------------------------
 
 install-nls: nls
 	@echo ------------------------------------------
-	@cd po; $(MAKE) install
+	cd po; $(MAKE) install
 	@echo ------------------------------------------
 
 install-man:
-	@$(INSTALLDIR) "$(DESTDIR)$(MANDIR)/man1"
-	@for man in $(MANFILES); do \
+	$(INSTALLDIR) "$(DESTDIR)$(MANDIR)/man1"
+	for man in $(MANFILES); do \
 		$(INSTALLMAN) doc/$$man.man $(DESTDIR)$(MANDIR)/man1/$$man; \
 	done
 
 install-desktop:
 	@echo ------------------------------------------
-	@$(INSTALLDIR) "$(DESTDIR)/usr/share/xsessions"
-	@$(INSTALLDIR) "$(DESTDIR)/usr/share/applications"
-	@$(INSTALLLIB) "$(top_srcdir)/lib/icewm-session.desktop" "$(DESTDIR)/usr/share/xsessions/icewm-session.desktop"
-	@$(INSTALLLIB) "$(top_srcdir)/lib/icewm.desktop" "$(DESTDIR)/usr/share/applications/icewm.desktop"
+	$(INSTALLDIR) "$(DESTDIR)/$(PREFIX)/share/xsessions"
+	$(INSTALLDIR) "$(DESTDIR)/$(PREFIX)/share/applications"
+	$(INSTALLLIB) "$(top_srcdir)/lib/icewm-session.desktop" "$(DESTDIR)/$(PREFIX)/share/xsessions/icewm-session.desktop"
+	$(INSTALLLIB) "$(top_srcdir)/lib/icewm.desktop" "$(DESTDIR)/$(PREFIX)/share/applications/icewm.desktop"
 	@echo ------------------------------------------
diff -Nurd -x'*~' icewm-1.3.6.orig/configure icewm-1.3.6/configure
--- icewm-1.3.6.orig/configure	2010-01-12 13:17:17.000000000 -0500
+++ icewm-1.3.6/configure	2010-09-16 00:56:02.000000000 -0400
@@ -11240,8 +11240,8 @@
 #define CONFIG_XFREETYPE 2
 _ACEOF
 
-      CORE_CFLAGS="${CORE_CFLAGS} $XFT_CFLAGS"
-      CORE_LIBS="${CORE_LIBS} $XFT_LIBS"
+      CORE_CFLAGS="$XFT_CFLAGS ${CORE_CFLAGS}"
+      CORE_LIBS="$XFT_LIBS ${CORE_LIBS}"
       features="${features} xfreetype"
     else
 
@@ -12650,7 +12650,7 @@
 
 VERSION=`sed -ne 's/VERSION=//p' VERSION`
 
-HOSTOS=`uname -sr || echo unknown`
+HOSTOS=`uname -s || echo unknown`
 
 HOSTCPU=`uname -m || echo unknown`
 
diff -Nurd -x'*~' icewm-1.3.6.orig/po/Makefile.in icewm-1.3.6/po/Makefile.in
--- icewm-1.3.6.orig/po/Makefile.in	2010-01-12 13:17:13.000000000 -0500
+++ icewm-1.3.6/po/Makefile.in	2010-09-16 00:15:29.000000000 -0400
@@ -28,7 +28,7 @@
 
 install: all
 	@echo "Installing message catalogues in $(DESTDIR)$(LOCDIR)"
-	@for catalog in $(MOFILES); do \
+	for catalog in $(MOFILES); do \
 	     lang=`echo $${catalog} | sed -e 's/\.mo//'` ; \
 	     msgdir="$(DESTDIR)$(LOCDIR)/$${lang}/LC_MESSAGES"; \
 	     echo "Installing language: $${lang}" ; \
diff -Nurd -x'*~' icewm-1.3.6.orig/src/Makefile.in icewm-1.3.6/src/Makefile.in
--- icewm-1.3.6.orig/src/Makefile.in	2010-01-12 13:17:14.000000000 -0500
+++ icewm-1.3.6/src/Makefile.in	2010-09-16 00:15:29.000000000 -0400
@@ -35,11 +35,11 @@
                 -DICEHELPIDX='"$(DOCDIR)/icewm-$(VERSION)/icewm.html"'
 
 CXXFLAGS =      @CXXFLAGS@ $(DEBUG) $(DEFS) `pkg-config gdk-pixbuf-xlib-2.0 --cflags` \
-	        @CORE_CFLAGS@ @IMAGE_CFLAGS@ @AUDIO_CFLAGS@ # `fc-config --cflags`
+	        @CORE_CFLAGS@ @IMAGE_CFLAGS@ @AUDIO_CFLAGS@ `pkg-config fontconfig --cflags`
 LFLAGS =	@LDFLAGS@ 
 LIBS =          @LIBS@ `pkg-config gdk-pixbuf-xlib-2.0 --libs` 
 
-CORE_LIBS =     @CORE_LIBS@ # `fc-config --libs`
+CORE_LIBS =     @CORE_LIBS@ `pkg-config fontconfig --libs`
 IMAGE_LIBS =    @IMAGE_LIBS@
 AUDIO_LIBS =    @AUDIO_LIBS@
 GNOME1_LIBS =    @GNOME1_LIBS@
@@ -206,30 +206,24 @@
 ################################################################################
 
 %.o: %.cc
-	@echo "  CXX     " $@
-	@$(CXX) $(CXXFLAGS) $(GCCDEP) -c $<
+	$(CXX) $(CXXFLAGS) $(GCCDEP) -c $<
 
 $(BINARIES):
-	@echo "  LD      " $@
-	@$(LD) -o $@ $($(@:$(EXEEXT)=)_OBJS) $(LFLAGS) $($(@:$(EXEEXT)=)_LFLAGS) $(LIBS) $($(@:$(EXEEXT)=)_LIBS)
+	$(LD) -o $@ $($(@:$(EXEEXT)=)_OBJS) $(LFLAGS) $($(@:$(EXEEXT)=)_LFLAGS) $(LIBS) $($(@:$(EXEEXT)=)_LIBS)
 
 genpref.o: genpref.cc
-	@echo "  HOSTCXX " $@
-	@$(HOSTCXX) $(CXXFLAGS) $(GCCDEP) -c $<
+	$(HOSTCXX) $(CXXFLAGS) $(GCCDEP) -c $<
 	
 genpref$(EXEEXT):
-	@echo "  HOSTLD  " $@
-	@$(HOSTLD) -o $@ $(genpref_OBJS)
+	$(HOSTLD) -o $@ $(genpref_OBJS)
 
 ################################################################################
 
 gnome.o: gnome.cc
-	@echo "  CXX     " $@
-	@$(CXX) $(CXXFLAGS)  @GNOME1_CFLAGS@ $(GCCDEP) -c $<
+	$(CXX) $(CXXFLAGS)  @GNOME1_CFLAGS@ $(GCCDEP) -c $<
 
 gnome2.o: gnome2.cc
-	@echo "  CXX     " $@
-	@$(CXX) $(CXXFLAGS)  @GNOME2_CFLAGS@ $(GCCDEP) -c $<
+	$(CXX) $(CXXFLAGS)  @GNOME2_CFLAGS@ $(GCCDEP) -c $<
 
 ################################################################################
 
@@ -240,8 +234,7 @@
 wmabout.o: ../VERSION
 
 ../lib/preferences: genpref$(EXEEXT)
-	@echo "  GENPREF " $@
-	@./genpref$(EXEEXT) >../lib/preferences
+	./genpref$(EXEEXT) >../lib/preferences
 
 genpref$(EXEEXT): $(genpref_OBJS)
 
diff -Nurd -x'*~' icewm-1.3.6.orig/src/base.h icewm-1.3.6/src/base.h
--- icewm-1.3.6.orig/src/base.h	2010-01-12 13:17:14.000000000 -0500
+++ icewm-1.3.6/src/base.h	2010-09-16 00:15:29.000000000 -0400
@@ -1,11 +1,11 @@
 #ifndef __BASE_H
 #define __BASE_H
 
-#if ( __GNUC__ == 3 && __GNUC_MINOR__ > 0 ) || __GNUC__ > 3
-#define deprecated __attribute__((deprecated))
-#else
-#define deprecated
-#endif
+//#if ( __GNUC__ == 3 && __GNUC_MINOR__ > 0 ) || __GNUC__ > 3
+//#define deprecated __attribute__((deprecated))
+//#else
+//#define deprecated
+//#endif
 
 /*** Atomar Data Types ********************************************************/
 
